Subject: Re: [dc] draft-khasnabish-vmmi-problems-00.txt

From: Bhumip Khasnabish <[email-masked]>
Date: Wed, 8 Feb 2012 12:24:16 -0500

Thanks Juergen.

Can you give a few examples of which "implementors"
you are referring to.

Best.

Bhumip

On Sat, Jan 21, 2012 at 3:00 AM, Juergen Schoenwaelder <
[email-masked]> wrote:

> On Fri, Jan 20, 2012 at 04:06:19PM -0800, Christopher LILJENSTOLPE wrote:
> > Greetings Vishwas,
> >
> >       And I guess I am saying that I'm not sure I agree.  If a single
> process running can kill all the other processes on a given system
> (especially if it is in "user space" - which I would assume for control
> plane functions), I would say that there are more substantial issues with
> the architecture of that particular VM distribution.  Similar answer if
> someone actually put a control-plane engine (think routing protocols) in
> kernel space.  We, as a standards organization can't save the world from
> less-than-inteligent developers....
> >
>
> The Linux-based hypervisors I have used happen to have the bridge(s)
> in the kernel plus user space utilities to configure/control them, as
> it should be. But then I am not using products but just open source
> implementations... ;-)
>
> A general observation: I think what this discussion really is lacking
> is implementors familiar with real-world implementations. If there
> were more implementors involved here with a decent understanding of
> code bases, I assume we would be quickly able to figure out what and
> if anything needs to be dealt with in the IETF.
>
> /js
>
> --
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
>  _______________________________________________
> dc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dc
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 8 Feb 2012 19:01:47 +0100

> Can you give a few examples of which "implementors"

The value of any standard is measured in implementations and
eventually deployments. In the IETF, this is even wired into the rules
since specifications only advance if there are interoperable
implementations. Hence, if someone pushes for work done in the IETF,
he/she needs to understand who is going to implement things and
involve those implementors in the process to ensure the specification
is real-world implementable.

In the discussion here, I sometimes sense a lack of clueful input from
people who are familiar with code running in hypervisors or whatever
is proposed to be modified. In the case of hypervisors, there should
be people who know xen, vmware, ... from the inside. And if those
people find agreement that there is a common problem the IETF can help
with (by providing a platform to develop a common solution), then I
get a much better feeling.

/js